<?php
namespace Models;

class ingenico {
	public $f3, $sets, $config, $arcus_config;

	function __construct($f3, $sets, $config) {
		$this->f3=$f3;
		$this->sets=$sets;
        $this->config=$config;
	}

	function send_cmd($cmd) {
		if(file_exists($this->config['ArcusPath']."cheq.out")) {
			unlink($this->config['ArcusPath']."cheq.out");
		}
		if(file_exists($this->config['ArcusPath']."rc.out")) {
			unlink($this->config['ArcusPath']."rc.out");
		}
		exec($this->config['ArcusPath']."CommandLineTool/bin/".$this->config['ArcusFile']." ".$cmd);
		$res=file_get_contents($this->config['ArcusPath']."rc.out");
		$res=str_replace("\\n", '', $res);
		$res=str_replace("\\r", '', $res);
		$res=trim($res);
		$cheq=file_get_contents($this->config['ArcusPath']."cheq.out");
		if($res!='000') {
			if (!preg_match('//u', $cheq)) {
				$cheq=iconv("windows-1251","utf-8",$cheq);
			}
			return array(
				'success'=>false,
				'txt'=>nl2br($cheq)
			);
		}
		return array(
			'success'=>true,
			'txt'=>nl2br($cheq)
		);
	}

	function ticket($type, $sum) {
		$cmd='/o1';
		if($type==2) $cmd='/o3';
		$cmd.=" /a".($sum*100)." /c643";
		return $this->send_cmd($cmd);
	}

	function z() {
		$cmd='/o64';
		return $this->send_cmd($cmd);
	}

	function x() {
		echo $cmd='/o7';
		return $this->send_cmd($cmd);
	}

	function cashermenu() {
		$cmd='/o98';
		return $this->send_cmd($cmd);
	}

	function adminmenu() {
		$cmd='/o99';
		return $this->send_cmd($cmd);
	}
}